For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HUMAN DashboardHUMAN WebsiteRequest a Demo
Media SecurityMalvertising DefenseAPI Reference
Media SecurityMalvertising DefenseAPI Reference
  • Reporting API
    • About the Reporting API
  • MediaGuard API
    • About the MediaGuard API
  • Malvertising API
    • POSTSubmit a creative for ad quality review
    • Push Result API overview
LogoLogo
Login
Login
HUMAN DashboardHUMAN WebsiteRequest a Demo
Malvertising API

Submit a creative for ad quality review

POST
https://{human-api-url}/api-v2/gw/push
POST
/api-v2/gw/push
$curl -X POST https://{human-api-url}/api-v2/gw/push \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "ad": {
> "id": "123-creative-ID",
> "ad_format": "VAST",
> "adm": "<VAST xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-...",
> "custom_account_ids": {
> "seat_id": "123",
> "organization_id": "123123"
> },
> "name": "Test - wine",
> "adomain": [
> "adomain.com"
> ],
> "brand": "my-cool-brand",
> "cat": [
> "IAB3"
> ],
> "cattax": 5,
> "landing_page": "http://landingpage.com",
> "iurl": "http://iurl.com"
> }
>}'
1{}
<Note> HUMAN will provide the `HUMAN-API-URL` and `X-API-KEY` during the integration process. </Note> You can integrate the HUMAN Ad Quality Platform via all Ad Formats Creative Submission and Responses. You can submit creatives for Ad Quality analysis using this endpoint, then retrieve the results via the [Pulling API](/advertising/reference/get-all-creatives) or [Push Result API](/advertising/reference/push-result-api-overview).
Was this page helpful?
Previous

Push result API overview

Preferred integration method
Next
Built with

HUMAN will provide the HUMAN-API-URL and X-API-KEY during the integration process.

You can integrate the HUMAN Ad Quality Platform via all Ad Formats Creative Submission and Responses. You can submit creatives for Ad Quality analysis using this endpoint, then retrieve the results via the Pulling API or Push Result API.

Authentication

X-API-KEYstring
Your unique Ad Quality API key.

Request

This endpoint expects an object.
adobjectRequired
An object that contains details about a single creative.

Response

Creative submitted properly

Errors

400
Bad Request Error
401
Unauthorized Error